# wxColourData Class Reference
[Common Dialogs, Data Structures]

`#include <wx/colourdata.h>`

Inheritance diagram for wxColourData:
[legend]

## Detailed Description

This class holds a variety of information related to colour dialogs.

##

Library: wxCore

Category: Common Dialogs, Data Structures

See also:
  wxColour, wxColourDialog, wxColourDialog Overview

## Public Member Functions
| wxColourData ()
| Constructor.
virtual | ~wxColourData ()
| Destructor.
bool | GetChooseFull () const
| Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.
wxColour & | GetColour ()
| Gets the current colour associated with the colour dialog.
wxColour | GetCustomColour (int i) const
| Returns custom colours associated with the colour dialog.
void | SetChooseFull (bool flag)
| Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.
void | SetColour (const wxColour &colour)
| Sets the default colour for the colour dialog.
void | SetCustomColour (int i, const wxColour &colour)
| Sets custom colours for the colour dialog.
wxString | ToString () const
| Converts the colours saved in this class in a string form, separating the various colours with a comma.
bool | FromString (const wxString &str)
| Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours.
wxColourData & | operator= (const wxColourData &data)
| Assignment operator for the colour data.

List of all members.

## Constructor & Destructor Documentation

wxColourData::wxColourData | ( |  | ) |

Constructor.

Initializes the custom colours to `wxNullColour`, the data colour setting to black, and the choose full setting to true.

virtual wxColourData::~wxColourData | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxColourData::FromString | ( | const wxString & | str | ) |

Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours.

bool wxColourData::GetChooseFull | ( |  | ) | const

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.

Under PalmOS, determines whether colour dialog will display full rgb colour picker or only available palette indexer. Has no meaning under other platforms.

The default value is true.

wxColour& wxColourData::GetColour | ( |  | ) |

Gets the current colour associated with the colour dialog.

The default colour is black.

wxColour wxColourData::GetCustomColour | ( | int | i | ) | const

Returns custom colours associated with the colour dialog.

Parameters:

  | i | An integer between 0 and 15, being any of the 15 custom colours that the user has saved. The default custom colours are invalid colours.

wxColourData& wxColourData::operator= | ( | const wxColourData & | data | ) |

Assignment operator for the colour data.

void wxColourData::SetChooseFull | ( | bool | flag | ) |

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.

Under other platforms, has no effect.

The default value is true.

void wxColourData::SetColour | ( | const wxColour & | colour | ) |

Sets the default colour for the colour dialog.

The default colour is black.

void wxColourData::SetCustomColour | ( | int | i,
|  | const wxColour & | colour |
| ) |  |  |

Sets custom colours for the colour dialog.

Parameters:

  | i | An integer between 0 and 15 for whatever custom colour you want to set. The default custom colours are invalid colours.
  | colour | The colour to set

wxString wxColourData::ToString | ( |  | ) | const

Converts the colours saved in this class in a string form, separating the various colours with a comma.

|  | [ top ]